<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'admin', language 'en_ar', version '4.1'.
 *
 * @package     admin
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['additionalhtml_desc'] = 'These settings allow ye to specify HTML that ye want added to every page. Ye can set HTML that will be added within the HEAD tag for the page, immediately after the BODY tag has been opened, or immediately before the body tag is closed.<br />Doing this allows ye add custom headers or footers on every page, or add support for services like Google Analytics very easily and independent of yer chosen theme.';
$string['authpreventaccountcreation_help'] = 'When a user authenticates, an account on the site is automatically created if it doesn\'t yet exist. If an external database, such as LDAP, is used for authentication, but ye wish to restrict access to the site to users with an existing account only, then this option should be enabled. New accounts will need to be created manually or via the upload users feature. Note that this setting doesn\'t apply to MNet authentication.';
$string['badwordsconfig'] = 'Enter yer list of bad words separated by commas.';
$string['blockprotect_help'] = 'If ye lock a particular type of block, then no-one will be able to add or delete instances. (Ye can, of course, unlock again if ye need to edit instances.)

This is intended to protect blocks like the navigation and settings which are very hard to get back if accidentally deleted.';
$string['bookmarkalreadyexists'] = 'Ye have already bookmarked this page.';
$string['cannotdeletemodfilter'] = 'Ye cannot uninstall the \'{$a->filter}\' because it is part of the \'{$a->module}\' module.';
$string['cfgwwwrootslashwarning'] = 'Ye have defined $CFG->wwwroot incorrectly in yer config.php file. Ye have included a \'/\' character at the end. Please remove it, or ye will experience strange bugs like <a href=\'http://tracker.moodle.org/browse/MDL-11061\'>MDL-11061</a>.';
$string['cfgwwwrootwarning'] = 'Ye have defined $CFG->wwwroot incorrectly in yer config.php file. It does not match the URL ye are using to access this page. Please correct it, or ye will experience strange bugs like <a href=\'http://tracker.moodle.org/browse/MDL-11061\'>MDL-11061</a>.';
$string['configallcountrycodes'] = 'This is the list of countries that may be selected in various places, for example in a user\'s profile. If blank (the default) the list in countries.php in the standard English language pack is used. That is the list from ISO 3166-1. Otherwise, ye can specify a comma-separated list of codes, for example \'GB,FR,ES\'. If ye add new, non-standard codes here, ye will need to add them to countries.php in \'en\' and yer language pack.';
$string['configallowassign'] = 'Ye can allow people who have the roles on the left side to assign some of the column roles to other people';
$string['configallowcategorythemes'] = 'If ye enable this, then themes can be set at the category level. This will affect all child categories and courses unless they have specifically set their own theme. WARNING: Enabling category themes may affect performance.';
$string['configallowcoursethemes'] = 'If ye enable this, then courses will be allowed to set their own themes.  Course themes override all other theme choices (site, user, or session themes)';
$string['configallowemailaddresses'] = 'If ye want to restrict all new email addresses to particular domains, then list them here separated by spaces.  All other domains will be rejected.  To allow subdomains add the domain with a preceding \'.\'. eg <strong>ourcollege.edu.au .gov.au</strong>';
$string['configallowobjectembed'] = 'As a default security measure, normal users are not allowed to embed multimedia (like Flash) within texts using explicit EMBED and OBJECT tags in their HTML (although it can still be done safely using the mediaplugins filter).  If ye wish to allow these tags then enable this option.';
$string['configallowoverride'] = 'Ye can allow people with the roles on the left side to override some of the column roles';
$string['configallowuserblockhiding'] = 'Do ye want to allow users to hide/show side blocks throughout this site?  This feature uses Javascript and cookies to remember the state of each collapsible block, and only affects the user\'s own view.';
$string['configallowuserthemes'] = 'If ye enable this, then users will be allowed to set their own themes.  User themes override site themes (but not course themes)';
$string['configallusersaresitestudents'] = 'For activities on the front page of the site, should ALL users be considered as students?  If ye answer "Yes", then any confirmed user account will be allowed to participate as a student in those activities.  If ye answer "No", then only users who are already a participant in at least one course will be able to take part in those front page activities. Only admins and specially assigned teachers can act as teachers for these front page activities.';
$string['configauthenticationplugins'] = 'Please choose the authentication plugins ye wish to use and arrange them in order of failthrough.';
$string['configbloglevel'] = 'This setting allows ye to restrict the level to which user blogs can be viewed on this site.  Note that they specify the maximum context of the VIEWER not the poster or the types of blog posts.  Blogs can also be disabled completely if ye don\'t want them at all.';
$string['configcalendarexportsalt'] = 'This random text is used for improving of security of authentication tokens used for exporting of calendars. Please note that all current tokens are invalidated if ye change this hash salt.';
$string['configcountry'] = 'If ye set a country here, then this country will be selected by default on new user accounts.  To force users to choose a country, just leave this unset.';
$string['configcustommenuitems'] = 'Ye can configure a custom menu here to be shown by themes. Each line consists of some menu text, a link URL (optional), a tooltip title (optional) and a language code or comma-separated list of codes (optional, for displaying the line to users of the specified language only), separated by pipe characters. Ye can specify a structure using hyphens. For example:
<pre>
Moodle community|http://moodle.org
-Moodle free support|http://moodle.org/support
-Moodle development|http://moodle.org/development
--Moodle Tracker|http://tracker.moodle.org
--Moodle Docs|http://docs.moodle.org|Moodle Docs in German
--German Moodle Docs|http://docs.moodle.org/de|Documentation in German|de
-Moodle News|http://moodle.org/news Moodle company
-Moodle commercial hosting|http://moodle.com/hosting
-Moodle commercial support|http://moodle.com/support
</pre>';
$string['configdbsessions'] = 'If enabled, this setting will use the database to store information about current sessions.  This is especially useful for large/busy sites or sites built on cluster of servers.  For most sites this should probably be left disabled so that the server disk is used instead.  Note that changing this setting now will log out all current users (including you). If ye are using MySQL please make sure that \'max_allowed_packet\' in my.cnf (or my.ini) is at least 4M.';
$string['configdebug'] = 'If ye turn this on, then PHP\'s error_reporting will be increased so that more warnings are printed.  This is only useful for developers.';
$string['configdebugdisplay'] = 'Set to on, the error reporting will go to the HTML page. This is practical, but breaks XHTML, JS, cookies and HTTP headers in general. Set to off, it will send the output to yer server logs, allowing better debugging. The PHP setting error_log controls which log this goes to.';
$string['configdebugpageinfo'] = 'Enable if ye want page information printed in page footer.';
$string['configdebugvalidators'] = 'Enable if ye want to have links to external validator servers in page footer. Ye may need to create new user with username <em>w3cvalidator</em>, and enable guest access. These changes may allow unauthorized access to server, do not enable on production sites!';
$string['configdefaultuserroleid'] = 'All logged in users will be given the capabilities of the role ye specify here, at the site level, in ADDITION to any other roles they may have been given.  The default is the Authenticated user role.  Note that this will not conflict with other roles they have unless ye prohibit capabilities, it just ensures that all users have capabilities that are not assignable at the course level (eg post blog entries, manage own calendar, etc).';
$string['configdeleteunconfirmed'] = 'If ye are using email authentication, this is the period within which a response will be accepted from users.  After this period, old unconfirmed accounts are deleted.';
$string['configdoctonewwindow'] = 'If ye enable this, then links to Moodle Docs will be shown in a new window.';
$string['configenablerssfeedsdisabled2'] = 'RSS feeds are disabled at the server level. Ye need to enable them first in Server/RSS.';
$string['configenablestats'] = 'If ye choose \'yes\' here, Moodle\'s cronjob will process the logs and gather some statistics.  Depending on the amount of traffic on yer site, this can take awhile. If ye enable this, ye will be able to see some interesting graphs and statistics about each of yer courses, or on a sitewide basis.';
$string['configenabletrusttext'] = 'By default Moodle will always thoroughly clean text that comes from users to remove any possible bad scripts, media etc that could be a security risk.  The Trusted Content system is a way of giving particular users that ye trust the ability to include these advanced features in their content without interference.  To enable this system, ye need to first enable this setting, and then grant the Trusted Content permission to a specific Moodle role.  Texts created or uploaded by such users will be marked as trusted and will not be cleaned before display.';
$string['configenablewebservices'] = 'Web services enable other systems to log in to this Moodle and perform operations.  For extra security this feature should be disabled unless ye are really using it.';
$string['configerrorlevel'] = 'Choose the amount of PHP warnings that ye want to be displayed.  Normal is usually the best choice.';
$string['configfilterall'] = 'Filter all strings, including headings, titles, navigation bar and so on.  This is mostly useful when using the multilang filter, otherwise it will just create extra load on yer site for little gain.';
$string['configforcelogin'] = 'Normally, the front page of the site and the course listings (but not courses) can be read by people without logging in to the site.  If ye want to force people to log in before they do ANYTHING on the site, then ye should enable this setting.';
$string['configforceloginforprofiles'] = 'This setting forces people to login as a real (non-guest) account before viewing any user\'s profile. If ye disabled this setting, ye may find that some users post advertising (spam) or other inappropriate content in their profiles, which is then visible to the whole world.';
$string['configfullnamedisplay'] = 'This defines how names are shown when they are displayed in full. For most mono-lingual sites the most efficient setting is "First name + Surname", but ye may choose to hide surnames altogether, or to leave it up to the current language pack to decide (some languages have different conventions).';
$string['configgeoipfile'] = 'Location of GeoIP City binary data file. This file is not part of Moodle distribution and must be obtained separately from <a href="http://www.maxmind.com/">MaxMind</a>. Ye can either buy a commercial version or use the free version.<br />Simply download <a href="http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz" >http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz</a> and extract it into "{$a}" directory on yer server.';
$string['configgetremoteaddrconf'] = 'If yer server is behind a reverse proxy, ye can use this setting to specify which HTTP headers can be trusted to contain the remote IP address. The headers are read in order, using the first one that is available.';
$string['configgradebookroles'] = 'This setting allows ye to control who appears on the gradebook.  Users need to have at least one of these roles in a course to be shown in the gradebook for that course.';
$string['configgradeexport'] = 'Choose which gradebook export formats are yer primary methods for exporting grades.  Chosen plugins will then set and use a "last exported" field for every grade.  For example, this might result in exported records being identified as being "new" or "updated".  If ye are not sure about this then leave everything unchecked.';
$string['confighiddenuserfields'] = 'Select which user information fields ye wish to hide from other users other than course teachers/admins. This will increase student privacy. Hold CTRL key to select multiple fields.';
$string['configintro'] = 'On this page ye can specify a number of configuration variables that help make Moodle work properly on yer server.  Don\'t worry too much about it - the defaults will usually work fine and ye can always come back to this page later and change these settings.';
$string['configintroadmin'] = 'On this page ye should configure yer main administrator account which will have complete control over the site. Make sure ye give it a secure username and password as well as a valid email address.  Ye can create more admin accounts later on.';
$string['configintrosite'] = 'This page allows ye to configure the front page and name of this new site.  Ye can come back here later to change these settings any time using the Administration menus.';
$string['configiplookup'] = 'When ye click on an IP address (such as 34.12.222.93), such as in the logs, ye are shown a map with a best guess of where that IP is located.  There are different plugins for this that ye can choose from, each has benefits and disadvantages.';
$string['configkeeptagnamecase'] = 'Check this if ye want tag names to keep the original casing as entered by users who created them';
$string['configlanglist'] = 'Leave this blank to allow users to choose from any language ye have in this installation of Moodle.  However, ye can shorten the language menu by entering a comma-separated list of language codes that ye want.  For example:  en,es_es,fr,it';
$string['configlangmenu'] = 'Choose whether or not ye want to display the general-purpose language menu on the home page, login page etc.  This does not affect the user\'s ability to set the preferred language in their own profile.';
$string['configlangstringcache'] = 'Caches all the language strings into compiled files in the data directory.  If ye are translating Moodle or changing strings in the Moodle source code then ye may want to switch this off.  Otherwise leave it on to see performance benefits.';
$string['configlocale'] = 'Choose a sitewide locale - this will override the format and language of dates for all language packs (though names of days in calendar are not affected). Ye need to have this locale data installed on yer operating system (eg for linux en_US.UTF-8 or es_ES.UTF-8). In most cases this field should be left blank.';
$string['configloglifetime'] = 'This specifies the length of time ye want to keep logs about user activity.  Logs that are older than this age are automatically deleted.  It is best to keep logs as long as possible, in case ye need them, but if ye have a very busy server and are experiencing performance problems, then ye may want to lower the log lifetime. Values lower than 30 are not recommended because statistics may not work properly.';
$string['configmailnewline'] = 'Newline characters used in mail messages. CRLF is required according to RFC 822bis, some mail servers do automatic conversion from LF to CRLF, other mail servers do incorrect conversion from CRLF to CRCRLF, yet others reject mails with bare LF (qmail for example). Try changing this setting if ye are having problems with undelivered emails or double newlines.';
$string['confignoreplyaddress'] = 'Emails are sometimes sent out on behalf of a user (eg forum posts). The email address ye specify here will be used as the "From" address in those cases when the recipients should not be able to reply directly to the user (eg when a user chooses to keep their address private).';
$string['confignotloggedinroleid'] = 'Users who are not logged in to the site will be treated as if they have this role granted to them at the site context.  Guest is almost always what ye want here, but ye might want to create roles that are less or more restrictive.  Things like creating posts still require the user to log in properly.';
$string['configopentowebcrawlers'] = 'If ye enable this setting, then Google will be allowed to enter yer site as a Guest.  In addition, people coming in to yer site via a Google search will automatically be logged in as a Guest.  Note that this only provides transparent access to courses that already allow guest access.';
$string['configpasswordpolicy'] = 'Turning this on will make Moodle check user passwords against a valid password policy. Use the settings below to specify yer policy (they will be ignored if ye set this to \'No\').';
$string['configpathtodu'] = 'Path to du. Probably something like /usr/bin/du. If ye enter this, pages that display directory contents will run much faster for directories with a lot of files.';
$string['configperfdebug'] = 'If ye turn this on, performance info will be printed in the footer of the standard theme';
$string['configrecaptchaprivatekey'] = 'String of characters used to communicate between yer Moodle server and the recaptcha server. Obtain one for this site by visiting http://www.google.com/recaptcha';
$string['configsecureforms'] = 'Moodle can use an additional level of security when accepting data from web forms. If this is enabled, then the browser\'s HTTP_REFERER variable is checked against the current form address.  In a very few cases this can cause problems if the user is using a firewall (eg Zonealarm) configured to strip HTTP_REFERER from their web traffic.  Symptoms are getting \'stuck\' on a form. If yer users are having problems with the login page (for example) ye might want to disable this setting, although it might leave yer site more open to brute-force password attacks.  If in doubt, leave this set to \'Yes\'.';
$string['configsessioncookiedomain'] = 'This allows ye to change the domain that the Moodle cookies are available from. This is useful for Moodle customisations (e.g. authentication or enrolment plugins) that need to share Moodle session information with a web application on another subdomain. <strong>WARNING: it is strongly recommended to leave this setting at the default (empty) - an incorrect value will prevent all logins to the site.</strong>';
$string['configsessioncookiepath'] = 'If ye need to change where browsers send the Moodle cookies, ye can change this setting to specify a subdirectory of yer web site.  Otherwise the default \'/\' should be fine.';
$string['configsitemailcharset'] = 'All the emails generated by yer site will be sent in the charset specified here. Anyway, every individual user will be able to adjust it if the next setting is enabled.';
$string['configslasharguments'] = 'Files (images, uploads etc) are provided via a script using \'slash arguments\'. This method allows files to be more easily cached in web browsers, proxy servers etc.  Unfortunately, some PHP servers don\'t allow this method, so if ye have trouble viewing uploaded files or images (eg user pictures), disable this setting.';
$string['configsmtphosts'] = 'Give the full name of one or more local SMTP servers that Moodle should use to send mail (eg \'mail.a.com\' or \'mail.a.com;mail.b.com\'). To specify a non-default port (i.e other than port 25), ye can use the [server]:[port] syntax (eg \'mail.a.com:587\'). For secure connections, port 465 is usually used with SSL, port 587 is usually used with TLS, specify security protocol below if required. If ye leave this field blank, Moodle will use the PHP default method of sending mail.';
$string['configsmtpuser'] = 'If ye have specified an SMTP server above, and the server requires authentication, then enter the username and password here.';
$string['configstatsfirstrun'] = 'This specifies how far back the logs should be processed <b>the first time</b> the cronjob wants to process statistics. If ye have a lot of traffic and are on shared hosting, it\'s probably not a good idea to go too far back, as it could take a long time to run and be quite resource intensive. (Note that for this setting, 1 month = 28 days. In the graphs and reports generated, 1 month = 1 calendar month.)';
$string['configstatsruntimedays'] = 'This specifies the maximum number of days processed in each statistics execution. Once the statistics are up-to-date, only one day will be processed, so adjust this value depending of yer server load, reducing it if shorter cron executions are needed.';
$string['configthemedesignermode'] = 'Normally all theme images and style sheets are cached in browsers and on the server for a very long time, for performance. If ye are designing themes or developing code then ye probably want to turn this mode on so that ye are not served cached versions.  Warning: this will make yer site slower for all users!  Alternatively, ye can also reset the theme caches manually from the Theme selection page.';
$string['configthemelist'] = 'Leave this blank to allow any valid theme to be used.  If ye want to shorten the theme menu, ye can specify a comma-separated list of names here (Don\'t use spaces!).
For example:  standard,orangewhite.';
$string['configtimezone'] = 'Ye can set the default timezone here.  This is the only the DEFAULT timezone for displaying dates - each user can override this by setting their own in their profile. "Server time" here will make Moodle default to the server\'s operating system setting, but "Server time" in the user profile will make the user default to this timezone setting.  Cronjobs that depend on a time of day to run will use this timezone.';
$string['configuseexternalyui'] = 'Instead of using local files, use online files available on Yahoo&#145;s servers. WARNING: This requires an internet connection, or no AJAX will work on yer site. This setting is not compatible with sites using https.';
$string['confirmdeletecomments'] = 'Ye are about to delete comments, are ye sure?';
$string['coursecontact_desc'] = 'This setting allows ye to control who appears on the course description. Users need to have at least one of these roles in a course to be shown on the course description for that course.';
$string['cronerrorpassword'] = 'Sorry, ye have not provided a valid password to access this page';
$string['datarootsecurityerror'] = '<p><strong>SECURITY WARNING!</strong></p><p>Yer dataroot directory is in the wrong location and is exposed to the web. This means that all yer private files are available to anyone in the world, and some of them could be used by a cracker to obtain unauthorised administrative access to yer site!</p>
<p>Ye <em>must</em> move dataroot directory ({$a}) to a new location that is not within yer public web directory, and update the <code>$CFG->dataroot</code> setting in yer config.php accordingly.</p>';
$string['datarootsecuritywarning'] = 'Yer site configuration might not be secure. Please make sure that yer dataroot directory ({$a}) is not directly accessible via web.';
$string['debugstringids_desc'] = 'This option is designed to help translators. When this option is enabled, if ye add the parameter strings=1 to a request URL, it will show the language file and string id beside each string that is output.';
$string['devicedetectregex_desc'] = '<p>By default, Moodle can detect devices of the type default (desktop PCs, laptops, etc), mobile (phones and small hand held devices), tablet (iPads, Android tablets) and legacy (Internet Explorer 6 users).  The theme selector can be used to apply separate themes to all of these.  This setting allows regular expressions that allow the detection of extra device types (these take precedence over the default types).</p>
<p>For example, ye could enter the regular expression \'/(MIDP-1.0|Maemo|Windows CE)/\' to detect some commonly used feature phones add the return value \'featurephone\'.  This adds \'featurephone\' on the theme selector that would allow ye to add a theme that would be used on these devices.  Other phones would still use the theme selected for the mobile device type.</p>';
$string['displayerrorswarning'] = 'Enabling the PHP setting <em>display_errors</em> is not recommended on production sites because some error messages may reveal sensitive information about yer server.';
$string['emoticons_desc'] = 'This form defines the emoticons (or smileys) used at yer site. To remove a row from the table, save the form with an empty value in any of the required fields. To register a new emoticon, fill the fields in the last blank row. To reset all the fields into default values, follow the link above.

* Text (required) - This text will be replaced with the emoticon image. It must be at least two characters long.
* Image name (required) - The emoticon image file name without the extension, relative to the component pix folder.
* Image component (required) - The component providing the icon.
* Alternative text (optional) - String identifier and component of the alternative text of the emoticon.';
$string['environmenterrortodo'] = 'Ye must solve all the environmental problems (errors) found above before proceeding to install this Moodle version!';
$string['environmenterrorupgrade'] = 'Warning: ye should solve all the environmental problems (errors) found above before proceeding to upgrade this Moodle version!  Upgrading without fixing these requirements could cause problems such as data loss.  Are ye sure ye want to continue with the upgrade?';
$string['environmentok'] = 'Yer server environment meets all minimum requirements.';
$string['environmentrecommendversion'] = 'version {$a->needed} is recommended and ye are running {$a->current}';
$string['environmentrequireversion'] = 'version {$a->needed} is required and ye are running {$a->current}';
$string['forcelogin'] = 'Force users to board';
$string['forceloginforprofileimage'] = 'Force users to board to view user pictures';
$string['forceloginforprofiles'] = 'Force users to board for profiles';
$string['formatuninstallwithcourses'] = 'There are {$a->count} courses using {$a->format}. Their format will be changed to {$a->defaultformat} (default format for this site). Some format-specific data may be lost. Are ye sure ye want to proceed?';
$string['googlemapkey3_help'] = 'Ye need to enter a special key to use Google Maps for IP address lookup visualization. Ye can obtain the key free of charge at <a href="https://developers.google.com/maps/documentation/javascript/tutorial#api_key" target="_blank">https://developers.google.com/maps/documentation/javascript/tutorial#api_key</a>';
$string['gravatardefaulturl_help'] = 'Gravatar needs a default image to display if it is unable to find a picture for a given user. Provide a full URL for an image. If ye leave this setting empty, Moodle will attempt to use the most appropriate default image for the page ye are viewing. Note also that Gravatar has a number of codes which can be used to <a href="https://en.gravatar.com/site/implement/images/#default-image">generate default images</a>.';
$string['helpforcetimezone'] = 'Ye can allow users to individually select their timezone, or force a timezone for everyone.';
$string['installsessionerror'] = 'Can not initialise PHP session, please verify that yer browser accepts cookies.';
$string['invaliduserchangeme'] = 'Username "changeme" is reserved -- ye cannot create an account with it.';
$string['iplookupinfo'] = 'By default Moodle uses the free online NetGeo (The Internet Geographic Database) server to lookup location of IP addresses, unfortunately this database is not maintained anymore and may return <em>wildly incorrect</em> data.
It is recommended to install local copy of free GeoLite City database from MaxMind.<br />
IP address location is displayed on simple map or using Google Maps. Please note that ye need to have a Google account and apply for free Google Maps API key to enable interactive maps.';
$string['langcache_desc'] = 'Cache the language menu. If enabled, the list of available translations is cached. The cache is automatically refreshed when ye install or delete a language pack via the in-built language packs management tool. If ye install a new language pack manually, ye have to use Purge all caches feature to refresh the cached list.';
$string['langpackwillbeupdated'] = 'NOTE: Moodle will try to download updates for yer language packs during the upgrade.';
$string['lockoutemailbody'] = 'Yer account with username {$a->username} on server \'{$a->sitename}\'
was locked out after multiple invalid login attempts.

To unlock the account immediately go to the following address

{$a->link}

In most mail programs, this should appear as a blue link
which ye can just click on.  If that doesn\'t work,
then copy and paste the address into the address
line at the top of yer web browser window.

If ye need help, please contact the site administrator,
{$a->admin}';
$string['lockoutemailsubject'] = 'Yer account on {$a} was locked out';
$string['maturityallowunstable'] = 'Hint: Ye may want to run this script with --allow-unstable option';
$string['maturitycoreinfo'] = 'Yer site is currently running unstable "{$a}" development code.';
$string['maturitycorewarning'] = 'The version of Moodle that ye are about to install or upgrade to contains
unstable "{$a}" development code that is not suitable for use on most production
sites. If this is not what ye wanted then ye should make sure ye are updating
from a STABLE branch of the Moodle code. See Moodle Docs for more details.';
$string['mbstringrecommended'] = 'Installing the optional MBSTRING library is highly recommended in order to improve site performance, particularly if yer site is supporting non-Latin languages.';
$string['mnetrestore_extusers_admin'] = '<strong>Note:</strong> This backup file seems to come from a different Moodle installation and contains remote Moodle Network user accounts. The restore process will try to match the Moodle Network hosts for all created users. Those not matching will be automatically switched to internal authentication (instead of mnet one). The restore log will inform ye about that.';
$string['mnetrestore_extusers_mismatch'] = '<strong>Note:</strong> This backup file apparently originates from a different Moodle installation and contains remote Moodle Network user accounts that may fail to restore. This operation is unsupported. If ye are certain that it was created on this Moodle installation, or ye can ensure that all the needed Moodle Network Hosts are configured, ye may want to still try the restore.';
$string['mnetrestore_extusers_noadmin'] = '<strong>Note:</strong> This backup file seems to come from a different Moodle installation and contains remote Moodle Network user accounts. Ye are not allowed to execute this type of restore. Contact the administrator of the site or, alternatively, restore this course without any user information (modules, files...)';
$string['navigationupgrade'] = 'This upgrade introduces two new navigation blocks that will replace these blocks: Administration, Courses, Activities and Participants.  If ye had set any special permissions on those blocks ye should check to make sure everything is behaving as ye want it.';
$string['nobookmarksforuser'] = 'Ye do not have any bookmarks.';
$string['nonexistentbookmark'] = 'The bookmark ye requested does not exist.';
$string['pathtodot_help'] = 'Path to dot. Probably something like /usr/bin/dot. To be able to generate graphics from DOT files, ye must have installed the dot executable and point to it here. Note that, for now, this only used by the profiling features (Development->Profiling) built into Moodle.';
$string['pathtopgdumpdesc'] = 'This is only necessary to enter if ye have more than one pg_dump on yer system (for example if ye have more than one version of postgresql installed)';
$string['pathtopsqldesc'] = 'This is only necessary to enter if ye have more than one psql on yer system (for example if ye have more than one version of postgresql installed)';
$string['pgclusterdescription'] = 'PostgreSQL version/cluster parameter for command line operations. If ye only have one postgresql on yer system or ye are not sure what this is, leave this blank.';
$string['pleaserefreshregistration'] = 'Yer site has been registered with moodle.org, please consider updating the registration if significant changes happened since yer last update, on {$a}';
$string['pluginschecktodo'] = 'Ye must solve all the plugin requirements before proceeding to install this Moodle version!';
$string['profileconfirmcategorydeletion'] = 'There is/are {$a} field/s in this category which will be moved into the category above (or below if in the top category).<br />Do ye still wish to delete this category?';
$string['profileconfirmfielddeletion'] = 'There is/are {$a} user record/s for this field which will be deleted.<br />Do ye still wish to delete this field?';
$string['profilemenutoofewoptions'] = 'Ye must provide at least 2 options';
$string['profilingallowall_help'] = 'If ye enable this setting, then, at any moment, ye can use the PROFILEALL parameter anywhere (PGC) to enable profiling for all the executed scripts along the Moodle session life. Analogously, ye can use the PROFILEALLSTOP parameter to stop it.';
$string['profilingallowme_help'] = 'If ye enable this setting, then, selectively, ye can use the PROFILEME parameter anywhere (PGC) and profiling for that script will happen. Analogously, ye can use the DONTPROFILEME parameter to prevent profiling to happen';
$string['profilingenabled_help'] = 'If ye enable this setting, then profiling will be available in this site and ye will be able to define its behavior by configuring the next options.';
$string['profilinglifetime_help'] = 'Specify the time ye want to keep information about old profiling runs. Older ones will be pruned periodically. Note that this excludes any profiling run marked as \'reference run\'.';
$string['purgecachesconfirm'] = 'Moodle can cache themes, javascript, language strings, filtered text, rss feeds and many other pieces of calculated data.  Purging these caches will delete that data from the server and force browsers to refetch data, so that ye can be sure ye are seeing the most up-to-date values produced by the current code.  There is no danger in purging caches, but yer site may appear slower for a while until the server and clients calculate new information and cache it.';
$string['questioncwqpfsok'] = 'Good. There are no \'random\' questions in yer quizzes that are set up to select questions from a mixture of shared and unshared question categories.';
$string['register'] = 'Register yer site';
$string['registration_help'] = 'Registering yer site with Moodle.org is recommended in order to receive security alert notifications, to contribute <a href="http://moodle.org/stats">Moodle usage statistics</a> and to be able to share courses on <a href="http://moodle.net/">Moodle.net</a>.';
$string['registrationwarning'] = 'Yer site is not yet registered.';
$string['rememberusername_desc'] = 'Enable if ye want to store permanent cookies with usernames during user login. Permanent cookies may be considered a privacy issue if used without consent.';
$string['requiredentrieschanged'] = '<strong>IMPORTANT - PLEASE READ<br/>(This warning message will only be displayed during this upgrade)</strong><br/>Due to a bug fix, the behaviour of database activities using the \'Required entries\' and \'Required entries before viewing settings\' settings will change. A more detailed explanation of the changes can be read on <a href="http://moodle.org/mod/forum/discuss.php?d=110928" target="_blank">the database module forum</a>. The expected behavior of these settings can also be read on <a href="http://docs.moodle.org/en/Adding/editing_a_database#Required_entries" target="_blank">Moodle Docs</a>.
<br/><br/>This change affects the following databases in yer system: (Please save this list now, and after the upgrade, check that these activities still work the way that the teacher intends.)<br/><strong>{$a->text}</strong><br/>';
$string['restorernewroleid_help'] = 'If the user does not already have the permission to manage the newly restored course, the user is automatically assigned this role and enrolled if necessary. Select "None" if ye do not want restorers to be able to manage every restored course.';
$string['settingsafemode'] = 'Moodle is not fully compatible with safe mode, please ask server administrator to turn it off. Running Moodle under safe mode is not supported, please expect various problems if ye do so.';
$string['showuseridentity_desc'] = 'When selecting or searching for users, and when displaying lists of users, these fields may be shown in addition to their full name. The fields are only shown to users who have the moodle/site:viewuseridentity capability; by default, teachers and managers. (This option makes most sense if ye choose one or two fields that are mandatory at yer institution.)';
$string['sitemaintenanceon'] = 'Yer ship is currently in maintenance mode (only captains can board now).';
$string['sitemaintenanceoncli'] = 'Yer site is currently in CLI maintenance mode, no web access is allowed.';
$string['sitemaintenancewarning'] = 'Yer ship is currently in maintenance mode (only captains can board now).  To return this ship to normal operation, <a href="maintenance.php">disable maintenance mode</a>.';
$string['sitemaintenancewarning2'] = 'Yer ship is currently in maintenance mode (only captains can board now).  To return this ship to normal operation, <a href="{$a}">disable maintenance mode</a>.';
$string['sitepolicy_help'] = 'If ye have a site policy that all registered users must see and agree to before using this site, then specify the URL to it here, otherwise leave this field blank. This setting can contain any public URL.';
$string['sitepolicyguest_help'] = 'If ye have a site policy that all guests must see and agree to before using this site, then specify the URL to it here, otherwise leave this field blank. This setting can contain any public URL. Note: access of not-logged-in users may be prevented with forcelogin setting.';
$string['stickyblocksduplicatenotice'] = 'If any block ye add here is already present in a particular page, it will result in a duplicate.<br />Only the pinned block will be non-editable, the duplicate will still be editable.';
$string['therewereerrors'] = 'There were errors in yer data';
$string['unicoderequired'] = 'It is required that ye store all yer data in Unicode format (UTF-8). New installations must be performed into databases that have their default character set as Unicode.  If ye are upgrading, ye should perform the UTF-8 migration process (see the Admin page).';
$string['updateautocheck_desc'] = 'If enabled, yer site will automatically check for available updates for both Moodle code and all additional plugins. If there is a new update available, a notification will be sent to site admins.';
$string['updateavailableforplugin'] = 'There is a newer version for some of yer plugins available!';
$string['updateavailablenot'] = 'Yer Moodle code is up-to-date!';
$string['updatenotificationfooter'] = 'Yer Moodle site {$a->siteurl} is configured to automatically check for available updates. Ye are receiving this message as the administrator of the site. Ye can disable automatic checks for available updates in the Site administration section of the Administration block. Ye can customize the delivery of this message via yer personal Messaging setting in the My profile settings section.';
$string['upgradeforumread'] = 'A new feature has been added in Moodle 1.5 to track read/unread forum posts.<br />To use this functionality ye need to <a href="{$a}">update yer tables</a>.';
$string['upgradeforumreadinfo'] = 'A new feature has been added in Moodle 1.5 to track read/unread forum posts.  To use this functionality ye need to update yer tables with all the tracking information for existing posts.  Depending on the size of yer site this can take a long time (hours) and can be quite taxing on the database, so it\'s best to do it during a quiet period.  However, yer site will continue functioning during this upgrade and users won\'t be affected.  Once ye start this process ye should let it finish (keep yer browser window open).  However, if ye stop the process by closing the window: don\'t worry, ye can start over.<br /><br />Do ye want to start the upgrading process now?';
$string['upgradelogs'] = 'For full functionality, yer old logs need to be upgraded.  <a href="{$a}">More information</a>';
$string['upgradelogsinfo'] = 'Some changes have recently been made in the way logs are stored.  To be able to view all of yer old logs on a per-activity basis, yer old logs need to be upgraded.  Depending on yer site this can take a long time (eg several hours) and can be quite taxing on the database for large sites.  Once ye start this process ye should let it finish (by keeping the browser window open).  Don\'t worry - yer site will work fine for other people while the logs are being upgraded.<br /><br />Do ye want to upgrade yer logs now?';
$string['upgradepluginsinfo_help'] = 'There are available updates for some of yer plugins. Ye should install them all prior to upgrading Moodle database. If yer site does not support automatic updates deployment, ye have to download and install new plugin versions at yer server manually.';
$string['upgradesettingsintro'] = 'The settings shown below were added during yer last Moodle upgrade. Make any changes necessary to the defaults and then click the &quot;Save changes&quot; button at the bottom of this page.';
$string['upgradestalefilesinfo'] = 'The Moodle update process has been paused because PHP scripts from at least two major versions of Moodle have been detected in the Moodle directory.

This can cause significant problems later, so in order to continue ye must ensure that the Moodle directory contains only files for a single version of Moodle.

The recommended way to clean yer Moodle directory is as follows:

* rename the current Moodle directory to "moodle_old"
* create a new Moodle directory containing only files from either a standard Moodle package download, or from the Moodle Git repository
* move the original config.php file and any non-standard plugins from the "moodle_old" directory to the new Moodle directory

When ye have a clean Moodle directory, refresh this page to resume the Moodle update process.

This warning is often caused by unzipping a standard Moodle package over a previous version of Moodle. While this is OK for minor upgrades, it is strongly discouraged for major Moodle upgrades.

This warning can also be caused by an incomplete checkout or update operation from the Git repository, in which case ye may just have to wait for the operation to complete, or perhaps run the appropriate clean-up command and retry the operation.

Ye can find more information in upgrade documentation at <a href="{$a}">{$a}</a>.';
$string['upgradesure'] = 'Yer Moodle files have been changed, and ye are about to automatically upgrade yer server to this version: <br /><br />
<strong>{$a}</strong> <br /><br />
Once ye do this ye can not go back again. <br /><br />
Please note that this process can take a long time. <br /><br />
Are ye sure ye want to upgrade this server to this version?';
$string['warningiconvbuggy'] = 'Yer version of the iconv library does not support the //IGNORE modifier. Ye should install the mbstring extension which can be used instead for cleaning strings containing invalid UTF-8 characters.';
$string['webproxyinfo'] = 'Fill in following options if yer Moodle server can not access internet directly. Internet access is required for download of environment data, language packs, RSS feeds, timezones, etc.<br /><em>PHP cURL extension is highly recommended.</em>';
